@if ($isLoading()) {
  <sqtm-core-full-page-loading-icon
    class="full-width"
  ></sqtm-core-full-page-loading-icon>
} @else {
  <div class="flex-column m-b-20">
    <sqtm-core-label
      class="sqtm-core-prevent-selection section-title m-b-5"
      [attr.data-test-element-id]="'exec-env-summary-grid-project-title'"
      [text]="
        'sqtm-core.campaign-workspace.automation.execution-environments-summary.project-title'
          | translate
            : {
                automationProject: project.projectName
              }
      "
    >
    </sqtm-core-label>
    <sqtm-core-label
      class="sqtm-core-prevent-selection m-b-10 label-color"
      [text]="
        'sqtm-core.campaign-workspace.automation.execution-environments-summary.server-name'
          | translate
            : {
                automationServer: project.squashOrchestratorName
              }
      "
    >
    </sqtm-core-label>
    <div class="section-content">
      @if (state.errorMessage) {
        <div
          class="flex-row align-items-center"
          [attr.data-test-element-id]="'exec-env-summary-grid-error-message'"
        >
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="exclamation-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FF0000'"
          ></i>
          <b class="error-message red">
            {{ getErrorMessage() | translate }}
          </b>
        </div>
      } @else if (
        !state.server.hasServerCredentials && !state.project.hasProjectToken
      ) {
        <div
          class="flex-row"
          style="align-items: center"
          [attr.data-test-element-id]="'exec-env-summary-grid-no-token-message'"
        >
          <i
            nz-icon
            class="sqtm-core-icon"
            nzType="info-circle"
            nzTheme="twotone"
            [nzTwotoneColor]="'#FFCC00'"
          ></i>
          <b>
            {{
              'sqtm-core.administration-workspace.views.project.automation.environments.no-credentials-message'
                | translate
            }}
          </b>
        </div>
      } @else if (
        state.environments.environments != null &&
        state.environments.environments.length === 0
      ) {
        <div
          class="flex-row"
          style="align-items: center"
          [attr.data-test-element-id]="'exec-env-summary-grid-no-env-message'"
        >
          <span
            [innerHtml]="
              'sqtm-core.campaign-workspace.automation.execution-environments-summary.no-environments'
                | translate
                  : {
                      automationProject: project.projectName,
                      automationServer: project.squashOrchestratorName
                    }
            "
          >
          </span>
        </div>
      } @else if (state.environments.environments != null) {
        <sqtm-core-grid
          [attr.data-test-element-id]="'exec-env-summary-grid-envs-grid'"
        ></sqtm-core-grid>
      }
    </div>
  </div>
}
